---
     tabtitle: Philosophy of Bill
     title: The Philosophy of Bill, Abbreviated
     topics: philosophy
     pub: "2015-05-04"
     short_desc: "I consider myself a very philosophical person. That doesn't
     mean I'm any good at philosophy, I just tend to think a lot about ethics,
     morality, and happiness. Recently I've been thinking more about my
     worldview, what I value as important, and how I achieve happiness in my
     daily life. I wanted to jot down what I feel is a brief examination of my
     basic tenants; the basic Philosophy of Bill."
---

# Perception And Thought

I consider myself a very philosophical person. That doesn't mean I'm any
good at philosophy, I just tend to think a lot about ethics, morality, and
happiness. Recently I've been thinking more about my worldview, what I
value as important, and how I achieve happiness in my daily life. I wanted
to jot down what I feel is a brief examination of my basic tenants; the
basic Philosophy of Bill.

I derive a lot of my philosophy from my Christian up-bringing and
Stoicism. I'm not a very religious person, though. I never really was. My
belief of what God is falls strongly under the agnostic category: I'm not
sure what God is, or if I believe in a God, but I do believe in a higher
power of some sort. I feel it's logical to always assume there is something
more powerful than yourself, but I also feel it's impossible to prove this.
I like to define faith as simply irrational belief. I have faith in many
things, both permanent and temporary. I like faith, actually, quite a bit.
I admire those who have strong faith, so long as they maintain reason and
are not fanatical. I also try to maintain a very open approach to religion.
I believe everyone has the right to worship however they choose, so long as
it does not involve anything overly immoral, such as killing. I have a hard
time tolerating people who are overly zealous about their faith, or about
denouncing someone else's faith. Nothing is more disgusting than attacking
someone for their beliefs. They are called beliefs for a reason; they are
not fact, they are opinion. It's ineffective to attack opinions, because
they are ephemeral to begin with. Like trying to hit a ghost with a
lamp-post: it just won't do what you think it will.

I love debate and discussion, but there is a clear difference between
debate for truth and argument for winning. I try to keep in the first camp,
but I'm not super-human and I have an ego so I often visit the later.
However, I always learn when I make mistakes, and I cherish when I fail,
because it only serves to better myself. I think that's the most
fundamental under-lying theme of my philosophy: always better myself;
always learn something. That ego thing, though, that's a tough monster to
handle. I've found myself adopting views similar to Zen Buddism (I think)
often when trying to quell my ego:

- All will return to nothingness.
- Ergo, what I do will be inconsequential.
- Ergo, I am inconsequential.

I think most people hear this and grow disheartened or depressed, but I
view it as very uplifting. There's a certain freedom in knowning that, no
matter how much I fail, in the end it won't matter much. It's sobering to
remember that no matter how much I've achieved or won, in the end it won't
matter much. It's important to remember that I am nothing but an improbable
spec of matter floating on a rock in an unimaginably vast and empty space.
Too many people get caught up on that "in the end" part, though, and they
begin to question why they should act at all. Well, there's a bit of time
between now and "the end" and you need to fill the void with something. For
me, that's learning, and understanding, and appreciating.

In my studies, I've discovered and adopted Stoicism as a philosophy. I
won't explain too much what Stoicism is about, since there are many sources
online which do that. I apply Stoicism mostly in the mental aspects of the
philosophy, and less in the faith/religious aspects. From Stoicism, I have
reinforced my beliefs in the importance of understanding our environment. I
remind myself every day of things I cannot control, and that I can only
control my perception of things. I try to act according to logic and
wisdom, and not according to feelings, which can hamper reason. For
example, I try not to let anger control my actions if I get trolled by my
friend Nick. I understand that anger, love, stress, and all other feelings
are very much out of my control, but allowing them to control me is well
within my control. In other words, I very much get angry, or grow lustful,
or prideful, but I try not to let those feelings dictate my actions. I
believe it was Seneca the Younger who said, "Men are not angered by things,
but by their perceptions of them." One of many mantra I keep in
reserve.

The most important thing in my life, though, is not control but
happiness. I can seek to control my perceptions and emotions all I want,
but if it does not lead to happiness, it is a fruitless endeavor. I find
happiness most when I learn; when I understand a system. I'm an engineer at
heart, so I view the world as a system of systems (of systems, of
systems...) each of which is bare to understanding. I free myself from ego
and oppression so that I can learn without fear of failure or the
disapproval of my peers. I like to always remind myself that the only
person who truly cares about me, is me. That's not to say others don't care
about me, but they care about themselves first, and me afterwards.  That's
how things are; it's not wrong or depressing or hurtful it's just the way
the system works. I care for many people, but I'm always number one on the
list.

While all this is well and good, philosophy is an ever changing system;
a CICD environment. I am constantly integrating new ideas and concepts into
my understanding of the world, and sometimes purging old or unnecessary
ones. I have my fair-share of quandries, perhaps more so than others;
perhaps it's an unfair-share. That's what makes it worth it, though, to me.
I seek to learn, and in doing so, find happiness and confusion. It's a
recursive system: the confusion leads to learning, which leads to happiness
and confusion. And I love recursion.
