---
     tabtitle: "Pathfinder: Let's Make a Druid"
     title: "Pathfinder Characters: Let's Make a Druid"
     topics: [gaming]
     pub: "2020-09-05"
     short_desc: "One of my favorite activities is creating characters. I love
     theory crafting, pouring through source material, and setting limits. While
     I've made many, many characters, one class I haven't touched is druid."
---

# Let's Make a Druid

Pathfinder has been the tabletop game of choice for my longest-running group.
One of my favorite activities is creating characters. I love theory crafting,
pouring through source material, and setting limits. While I've made many,
_many_ characters, once class I haven't touched is druid. The first character I
ever made, back in a D&D Second Edition, was a druid. I don't remember much from
that character, except that I had a double-scimitar (think Darth Maul
lightsabre, but scimitars). Since that, I haven't done much with druids, which I
think is a shame, because it's a fascinating class that ticks many of the boxes
I look for in a character. I love characters with options, that require a bit of
mastery to play. Many characters I like the most are multi-classed, mixing
spellcasting with melee combat. Some classes, though, provide all this
out-of-the-box. From the core book, both cleric and druid satisfy my demands. I
hold, still, that cleric is the most powerful class. I had this belief in D&D
Third Edition, and I carry it forward into Pathfinder and D&D Fifth Edition.
That's a topic for another post, though.

## Concept

All of my characters come from a concept. Sometimes the concept is really
straight forward: I want a "realistic" fighter. I want a "proper" Eldritch
Knight. Sometimes, the concept is more story based, as is the case with this
druid. I read a story about a moose in Alaska that ate some apples which had
fermented, and wandered into a town drunk. I thought, "that would make a fun
animal companion!", and thus the idea for a druid. The full backstory for the
character will be around here somewhere. For now, I'll spend the rest of this
post focusing on the build.

## Build

Drunk moose. Drunk... spirit moose! OK, now we're getting somewhere. As I
fleshed out the story, and spoke with a friend about druid, I liked the idea of
dipping one level in barbarian, then continuing with druid. That one level gets
me quite a bit: d12 hit dice (and max at first level!); +1 BAB; +10 movement
speed; and rage. The biggest downside is a delay in spellcasting, but I think
it's a fair trade-off. Considering the build is equally focused on spellcasting
and melee combat, the rage will provide an additional resource where spells and
standard attacks may not be sufficient. Obviously, druid will be our favored
class.

```
Barbarian 1, Druid X
```

## Skills

Druid's aren't reknown for being particularly skillful, but they get some great
class skills. Of note, we get Handle Animal, Heal, Knowledge(Nature),
Perception, and Survival. At 4+INT skill points, we can reliably grab most of
these. Throw a point of two into Fly, Climb, and Swim, and between having a
great strength, and wild shape, we can deal with whatever obstacles those skills
require.

```
Handle Animal
Heal
Knowledge (Nature)
Perception
Survival
```

## Race

Pathfinder has no shortage of races to choose from. For most of my builds, I try
to stick to the "basics" provided in the Core Rulebook, but I also allow myself
the Advanced Race Guide races. For this build, though, mostly due to the
backstory/concept, I went human. We'll opt for a bonus HP each level in druid,
for our favored class bonus.

## Feats

Human gets a bonus first level feat, then all characters get a first level feat.
I tend to make characters for whatever level our campaign is at, and for now
that's 8th level. That gives me five feats total. At fifth level, I'm taking
Natural Spell. Since I'm a melee bruiser, I'm interested in Power Attack, Vital
Strike, Toughness, and Powerful Shape, but I can't get the last one just yet.
Druids are fantastic summoners, and it's very tempting to pick up Augmented
Summons. For this build, though, it's a two feat investment for a strategy I
won't be using much. For first level, I went with Toughness and Power Attack. As
a first level barbarian, those two feats give me a lot of staying power. As a
druid, my BAB won't progress as strongly, but in wild shape it can give me a lot
of damage. Combined with vital strike, certain shapes will give me a single,
"two-handed" attack for a significant amount of damage at a good attack bonus.

Thematically, I've opted for the feat Spirit's Gift. It fits my drunken spirit
moose concept perfectly.

That leaves level 7. The aforementioned vital strike could be a great option.
There's also furious focus: for a single, two-handed power attack, remove the
power attack penalty. Since we'll be taking advantage of our animal companion,
there's also the option for teamwork feats. Animal companions get feats, too,
and there are a few in particular that would work very well: Shake It Off would
give us both +1 on all saves; Improved Spell Sharing would let me share buffs
better; and then there are the charges. These interested me. I need to step back
briefly to consider the animal companion, so we'll leave our feats in an
undecided state for now.

```
Bonus: Toughness
Lvl 1: Power Attack
Lvl 3: Spirit's Gift
Lvl 5: Natural Spell
Lvl 7: ???
```

## Animal Companion

By now it should be clear this is not really a min-max guide. There are plenty
of guides that exist already for that sort of build; I'll link a few I've
referenced below. In those guides, animal companion choses are pretty clear:
take a wolf/dire wolf if you want to be a trip artist; take a big cat for
superior damage; take one of any number of dinosaurs for superior options. No
where is a moose mentioned, because they're not "optimal." That's fine. I don't
want optimal, I want drunken spirit moose.

Moosen start off pretty bland. They don't get any special attacks, they're
medium size, an average AC, an average attack, and relatively low damage. At
level 7, they get significantly better: large size; better AC; better damage,
and powerful charge. For this build, I'll focus on charging. Both I and the
moose will charge hard into whatever enemy we want to focus first. With some of
the team work feats alluded to above, we can emphasize significant bonuses and
improvements to charging.

If I wanted to change this to a more optimal build, I'd probably go for an axe
beak. It could be the in-universe thematic equivalent of a moose. Qwark.

## Feats, Completed This Time

In addition to my feats, I get feats for my animal companion. At character level
8, I'm a 7th level druid, which means my animal companion gets 3 feats, with a
4th coming next level. The charge feats I'm considering would be 3 feats
minimum: 2 teamwork feats, and then Coordinated Charge. The requirements for
Coordinated Charge are 2 teamwork feats, and a BAB +10. My animal companion, of
any flavor, won't have that until level 17! That's a bit of a downer, but there
are some other interesting ones that lead up to it nicely. Distracting Charge
would give either my moose or me a +2 to hit against the target of a charge.
Intercept Charge could provide significant defensive benefits, though neither my
moose nor I are particularly defensive oriented. Shake It Off would give Moose
and Me +1 on all saves while we're adjacent. And Improved Spell Sharing helps
with buffing. The one thing about ISS though is the requirements are a bit...
odd. It _seems_ to be intended for use by a class that can share their teamwork
feats, but I think a discussion with a DM can resolve the issue.

```
Druid:
- Bonus: Toughness
- Lvl 1: Power Attack
- Lvl 3: Spirit's Gift
- Lvl 5: Natural Spell
- Lvl 7: Improved Spell Sharing

Moose:
- Lvl 1: Toughness
- Lvl 2: Weapon Focus (Gore)
- Lvl 5: Improved Spell Sharing
```

Looking forward slightly, next level we each get another feat.

```
Druid:
- Lvl 9: Powerful Shape

Moose:
- Lvl 8: Improved Natural Attack (Gore)
```

## Gear

Since we're wild-shaping, we don't need to worry _too_ much about armor and
weapon. We can get the benefits of a shield, so we'll want a decent one of
those. Ring of Protection (+1) is a standard, and I'll also opt for a Cloak of
Resistance (+2). We're a bit MAD (multi-attribute dependent), wanting high
strength and wisdom primarily, with good dexterity and constitution still. I'll
take a Headband of Inspired Wisdom (+2), and a Belt of Physical Prowess
(Strength and Constitution +2). In exchange for a weapon, I'll pick up an Amulet
of Mighty Fists (+1). Finally, because wild shape is so important, we'll pick up
Druid Vestments, which give us an extra wild shape use per day.

```
Headband of Inspired Wisdom, +2
Amulet of Mighty Fists, +1
Cloak of Resistance, +2
Druid Vestments
Belt of Physical Prowess (STR/CON), +2
Ring of Protection, +1
Heavy Wooden Shield, +1
Scimitar
```

I have a mundane item pack I generally pick up as well, which includes things
like a mirror, fishing hooks, and the like. Normally it's all in a Handy
Haversack, but since I'm shapshifting so often, for the druid that'll shift to a
Polymorphic Pouch.

Also, a Ring of Eloquence is a solid buy, to allow for discussion which
shapeshifted.

## Spells

Druids have a _lot_ of spell options. We're a melee fighter, so many of our
spells will focus on buffing, debuffing, and control. We can also include some
out-of-combat utility. There are too many options to list, and again, guides
already exist that go through every spell and analyze them. Here are the spells
that I'll consider regularly:

```
Level 1:
- Entangle [Control]
- Faerie Fire [Control][Debuff]
- Frostbite [Buff][Damage][Debuff]
- Goodberry [Utility]
- Longstrider [Buff]
- Magic Fang [Buff]
- Mudball [Damage][Debuff]
- Thorn Javelin [Damage][Debuff]
- Thunderstomp [Control][Debuff]

Level 2:
- Barkskin [Buff]
- Lockjaw [Buff][Control]
- Natural Rhythm [Buff][Damage]
- Resist Energy [Buff]
- Sickening Entanglement [Control][Debuff]
- Stone Call [Damage][Debuff]
- Vine Strike [Control][Damage][Debuff]
- Whip of Spiders [Damage][Debuff]
- Wilderness Soldiers [Control][Damage]

Level 3:
- Call Lightning [Damage]
- Earth Tremor [Damage][Control][Debuff]
- Fey Form I [Utility]
- Fungal Infestation [Debuff]
- Greater Magic Fang [Buff][Damage]
- Greater Thunderstomp [Control][Debuff]
- Spike Growth [Control][Damage][Debuff]
- Thorny Entanglement [Control][Damage]
- Vermin Shape I [Utility]

Level 4:
- Aspect of the Stag [Buff][Damage]
- Cape of Wasps [Buff][Damage][Debuff]
- Echolocation [Buff]
- Freedom of Movement [Buff]
- Grove of Respite [Utility]
- Slowing Mud [Control][Debuff]
- Spike Stones [Control][Damage][Debuff]
- Strong Jaw [Buff][Damage]
```

## Gameplay

I've never played this build! I'm sure it could use some modifications. The
emphasis on choosing a moose over other animal companions could be a serious
hinderance. I think the general play would go like this: buff self, sharing the
buffs with my animal companion; enter melee combat, preferably by charging at a
target with my animal companion; throw around control and debuff spells as
necessary.

This is very much a first draft, but I think it could be a fun one! 

# Sources

* [Pathfinder SRD](https://www.d20pfsrd.com/)
* [Prometheus Guide to the Druid](https://docs.google.com/document/d/1PXamF43boZgYtCUlyJAMojfrPaAdYyjPOaGOo1vfqdM/edit#heading=h.nxj7sifd7tvs)
* [Treantmonk's Guide to Druids](https://docs.google.com/Doc?docid=0AcNyxDTKvAmqZGRtZzhzdjZfNDZnNHpzcmdodA&hl=en)
